Bug 826262 - (CVE-2012-2657) CVE-2012-2657 unixodbc: buffer overflow due to improper checking of FILESDN= input
CVE-2012-2657 unixodbc: buffer overflow due to improper checking of FILESDN= ...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120529,reported=2...
: Security
Depends On:
Blocks: 826265
  Show dependency treegraph
 
Reported: 2012-05-29 17:29 EDT by Vincent Danen
Modified: 2012-05-30 17:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 17:22:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-29 17:29:28 EDT
It was reported that the unixODBC library does not properly check the input from the FILESDN= option in the DSN, which could cause a buffer overflow when passed to the SQLDriverConnect() function.  The vulnerable versions are reported as being >= 2.0.10.

This has not been corrected upstream as of yet.
Comment 1 Vincent Danen 2012-05-29 17:36:15 EDT
The original report to oss-security is here:

http://www.openwall.com/lists/oss-security/2012/05/29/7
Comment 5 Vincent Danen 2012-05-30 17:22:04 EDT
The DSN can only be supplied from a trusted environment, such as a configuration file or in a script written by the author (such as a PHP script).  The DSN should never come from an untrusted source (such as user input) in these cases.  The isql tool allows a user to supply an arbitrary DSN, but the end result there is the termination of the isql tool itself.

Statement:

Red Hat does not consider a user assisted client crash such as this to be a security flaw.

Note You need to log in before you can comment on or make changes to this bug.